<template>
	<job-talents :list="jobList"></job-talents>
</template>

<script setup lang="ts">
	import { ref, computed, onMounted } from 'vue';
	import JobTalents from '@/components/job/talents/index.vue'
	import { PostJobseekerList } from '@/apis/models';
	let jobList = ref<object[]>([])
	onMounted(() => {
		
		PostJobseekerList().then(res => {
			if (res.data.list.length > 10) {
				jobList.value = res.data.list.slice(0, 10)
			} else {
				jobList.value = res.data.list
			}
		})
	})
	

</script>

<style scoped lang="less">
	
</style>